@charset "utf-8";


/* -- form#mail_form, dl, dt, dd -------------------------------------------------------------------------------- */

form#mail_form {
    padding: max(6vh,60px) max(6vw,60px);
	background: rgba(255,255,255,0.5);
	border-radius: 10px;
}

form#mail_form dl {
    display: flex;
    flex-wrap: wrap;
	border-bottom: 1px solid #cccccc;
}

form#mail_form dl:after,
form#mail_form dl dt:after {
	content: ".";
	display: block;
	height: 0;
	clear: both;
	visibility: hidden;
}

form#mail_form dl dt {
	width: 30%;
    box-sizing: border-box;
	padding: 25px 0;
}

form#mail_form dl dd {
	width: 70%;
    box-sizing: border-box;
	padding: 25px 0;
}

form#mail_form dl dt i {
	float: left;
	position: relative;
	top: -2px;
    font-style: normal;
}




/* -- span.required, span.optional -------------------------------------------------------------------------------- */

form#mail_form dl dt span.required,
form#mail_form dl dt span.optional {
	display: inline-block;
    margin-right: .5em;
	padding: .3em .4em;
	border-radius: 3px;
	color: #ffffff;
	font-size: 85%;
}

form#mail_form dl dt span.required {
	background: var(--red);
}

form#mail_form dl dt span.optional {
	background: var(--blue);
}




/* -- error message -------------------------------------------------------------------------------- */

form#mail_form dl dd span.error_blank,
form#mail_form dl dd span.error_format,
form#mail_form dl dd span.error_match {
	display: block;
	color: var(--red);
	margin-top: 5px;
    font-size: min(1.2vw, 14px);
}




/* -- loading -------------------------------------------------------------------------------- */

div.loading-layer {
	width: 100vw;
	height: 100vh;
	background: rgba( 0, 0, 0, 0.7 );
	position: fixed;
	left: 0px;
	top: 0px;
	z-index: 10000;
}

span.loading {
	width: 50px;
	height: 50px;
	border-radius: 50%;
	border-top: 5px solid rgba( 255, 255, 255, 0.2 );
	border-right: 5px solid rgba( 255, 255, 255, 0.2 );
	border-bottom: 5px solid rgba( 255, 255, 255, 0.2 );
	border-left: 5px solid #ffffff;
	-webkit-transform: translateZ( 0 );
	-ms-transform: translateZ( 0 );
	transform: translateZ( 0 );
	-webkit-animation: load-circle 1.0s linear infinite;
	animation: load-circle 1.0s linear infinite;
	position: absolute;
	top: 50%;
	left: 50%;
	margin-top: -30px;
	margin-left: -30px;
}

@-webkit-keyframes load-circle {
	0% {
		-webkit-transform: rotate( 0deg );
		transform: rotate( 0deg );
	}
	100% {
		-webkit-transform: rotate( 360deg );
		transform: rotate( 360deg );
	}
}

@keyframes load-circle {
	0% {
		-webkit-transform: rotate( 0deg );
		transform: rotate( 0deg );
	}
	100% {
		-webkit-transform: rotate( 360deg );
		transform: rotate( 360deg );
	}
}




/* -- input, select, textarea -------------------------------------------------------------------------------- */

form#mail_form input[type="text"],
form#mail_form input[type="email"],
form#mail_form input[type="tel"],
form#mail_form input[type="url"] {
	width: 100%;
    box-sizing: border-box;
	padding: .5em .8em;
	border: 1px solid #cccccc;
	border-radius: 3px;
	background: #fafafa;
	-webkit-appearance: none;
	font-size: 16px;
	font-family: inherit;
	line-height: normal;
}

form#mail_form input[type="text"]:focus,
form#mail_form input[type="email"]:focus,
form#mail_form input[type="tel"]:focus,
form#mail_form input[type="url"]:focus,
form#mail_form select:focus,
form#mail_form textarea:focus {
	box-shadow: 0px 0px 5px #55ccff;
	border: 1px solid #55ccff;
	background: #ffffff;
}

form#mail_form ul li input[type="radio"],
form#mail_form ul li input[type="checkbox"] {
	margin: 0 10px 0 0;
	font-size: 16px;
}

form#mail_form input::placeholder {
    color: #999;
}


form#mail_form div.select-wrapper {
	position: relative;
}

form#mail_form div.select-wrapper:after {
	content: "";
	position: absolute;
	top: calc( 50% - 7px );
	right: 16px;
	width: 8px;
	height: 8px;
	border-right: 2px solid #666666;
	border-bottom: 2px solid #666666;
	transform: rotate( 45deg );
}

form#mail_form select {
	width: 100%;
    box-sizing: border-box;
	padding: .5em .8em;
	border: 1px solid #cccccc;
	border-radius: 3px;
	background: #f0f0f0;
	-webkit-appearance: none;
	font-size: 16px;
	font-family: inherit;
	line-height: normal;
	color: inherit;
}

form#mail_form select:hover {
	cursor: pointer;
}

form#mail_form textarea {
	display: block;
	width: 100%;
    box-sizing: border-box;
	height: 200px;
	padding: .5em .8em;
	resize: vertical;
	border: 1px solid #cccccc;
	border-radius: 3px;
	background: #fafafa;
	-webkit-appearance: none;
	font-size: 16px;
	font-family: inherit;
	line-height: normal;
}




/* -- ul, li -------------------------------------------------------------------------------- */

form#mail_form ul {
	list-style-type: none;
}

form#mail_form ul li label {
	display: flex;
    align-items: center;
	margin-top: 10px;
	padding: .5em .8em;
	border: 1px solid #cccccc;
	border-radius: 3px;
	background: #f0f0f0;
	font-size: 16px;
	font-family: inherit;
	line-height: normal;
}

form#mail_form ul li:first-child label {
	margin-top: 0px;
}

form#mail_form ul li label:hover {
	cursor: pointer;
}




/* -- input design ( advanced ) -------------------------------------------------------------------------------- */

form#mail_form input[name="name_1"],
form#mail_form input[name="name_2"],
form#mail_form input[name="read_1"],
form#mail_form input[name="read_2"],
form#mail_form input[name="postal"],
form#mail_form input[name="phone"],
form#mail_form input[name="schedule"] {
	width: calc(50% - 10px);
}

form#mail_form input[name="name_2"],
form#mail_form input[name="read_2"] {
	margin: 0 0 0 20px;
}

form#mail_form a.postal_search_button {
	display: inline-block;
	margin: 0 0 0 10px;
	padding: .5em .8em;
	border: 1px var(--light_blue) solid;
	border-radius: 3px;
	background: var(--light_blue);
	font-size: 16px;
	line-height: normal;
	color: #ffffff;
	text-decoration: none;
    transition: all .3s;
}

form#mail_form a.postal_search_button:hover {
	filter: brightness(1.3);
}




/* -- button -------------------------------------------------------------------------------- */
form#mail_form input[type="button"] {
	display: none;
	padding: 1.2em 5em;
	border-radius: 50px;
	border: none;
	background: var(--grad_navy);
	color: #fff;
	font-size: 16px;
	letter-spacing: 0.02em;
	box-shadow: inset 0 0 10px rgba(255,255,255,0.5), 5px 5px 10px rgba(0,29,63,0.20);
	position: relative;
	-webkit-appearance: none;
    transition: all .3s;
    cursor: pointer;
}
form#mail_form input[type="button"].active {
	display: inline-block;
}
form#mail_form input[type="button"]:hover {
	animation: btn .4s;
	filter: brightness(1.3);
}

form#mail_form input[type="button"]:disabled {
	background: #999999;
	border: 1px solid #999999;
}

form#mail_form input[type="button"]:disabled:hover {
	cursor: not-allowed;
}


/* 個人情報の取り扱いについて同意する */
#agree span {
	display: inline-block;
    padding-left: 1.4em;
	font-size: min(1.3vw, 16px);
    position: relative;
	cursor: pointer;
}
#agree span:hover {
	opacity: 0.8;
}
#agree span::before {
    content: "";
    display: block;
    box-sizing: border-box;
    width: .8em;
    height: .8em;
    border: 1px #333 solid;
    border-radius: 2px;
    position: absolute;
    top: .2em;
    left: 0;
}
#agree.active span::before {
    border: 1px var(--red) solid;
    background: var(--red);
}
#agree.active span::after {
    content: "";
    display: block;
    width: .5em;
    height: .2em;
    border-left: 2px #fff solid;
	border-bottom: 2px #fff solid;
    position: absolute;
    top: .3em;
    left: .1em;
	transform: rotate(-45deg);
}





/* -- responsive ( SmartPhone or Tablet ) ----------------------------------------------------------------------------------------------------------------------- */

/* 960pixel start */
@media screen and ( max-width: 960px ) {

    form#mail_form {
        padding: max(5vh,40px) max(5vw,30px);
    }
    
    /* -- form#mail_form, dl, dt, dd -------------------------------------------------------------------------------- */
    form#mail_form dl dt {
        width: 100%;
    	padding: 25px 0 0;
    }
    
    form#mail_form dl dd {
        width: 100%;
    	padding: 15px 0 25px;
    }
    
    form#mail_form dl dt i {
    	float: none;
    	position: static;
    	font-weight: normal;
    }
    
    /* -- error message -------------------------------------------------------------------------------- */
    form#mail_form dl dd span.error_blank,
    form#mail_form dl dd span.error_format,
    form#mail_form dl dd span.error_match {
        font-size: min(1.8vw, 14px);
    }
    
    /* -- input, select, textarea -------------------------------------------------------------------------------- */
    form#mail_form ul li input[type="radio"],
    form#mail_form ul li input[type="checkbox"] {
    	font-size: 14px;
    }
    
    /* -- ul, li -------------------------------------------------------------------------------- */
    form#mail_form ul li label {
    	font-size: 14px;
    }
    /* -- span.required, span.optional -------------------------------------------------------------------------------- */
    
    form#mail_form dl dt span.required,
    form#mail_form dl dt span.optional {
    	margin: 0 15px 0 0;
    }
    
    /* -- input design ( advanced ) -------------------------------------------------------------------------------- */
    
    form#mail_form input[name="phone"],
    form#mail_form input[name="schedule"] {
    	width: 60%;
    }
    
    
    /* -- button -------------------------------------------------------------------------------- */    
    form#mail_form input[type="button"] {
    	margin-left: 0;
        font-size: min(1.8vw, 14px);
    }
    /* 個人情報の取り扱いについて同意する */
    #agree span {
    	font-size: min(1.8vw, 14px);
    }
}



@media screen and ( max-width: 460px ) {

    form#mail_form {
        padding: 40px 20px;
    }
    form#mail_form dl dd span.error_blank,
    form#mail_form dl dd span.error_format,
    form#mail_form dl dd span.error_match {
        font-size: 12px;
    }
    form#mail_form ul li input[type="radio"],
    form#mail_form ul li input[type="checkbox"] {
    	font-size: 12px;
    }
    form#mail_form ul li label {
    	font-size: 12px;
    }
    form#mail_form input[type="button"] {
        padding: 1.2em 3.4em;
        font-size: 14px;
    }
    /* 個人情報の取り扱いについて同意する */
    #agree span {
    	font-size: 14px;
    }
}







